Bug 176532 - Review Request: TurboGears: Back-to-front web development in Python
Summary: Review Request: TurboGears: Back-to-front web development in Python
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review   
(Show other bugs)
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: John Mahowald
QA Contact: David Lawrence
URL:
Whiteboard:
Keywords:
Depends On: 176523 176525 176526 176527
Blocks: FE-ACCEPT
TreeView+ depends on / blocked
 
Reported: 2005-12-24 11:31 UTC by Ignacio Vazquez-Abrams
Modified: 2007-11-30 22:11 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-03-01 01:19:01 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Ignacio Vazquez-Abrams 2005-12-24 11:31:31 UTC
Spec Name or Url: http://fedora.ivazquez.net/files/extras/TurboGears.spec
SRPM Name or Url: http://fedora.ivazquez.net/files/extras/TurboGears-0.8a5-1.src.rpm
Description: TurboGears takes the best components available and combines them into one easy-to-install, documented whole. TurboGears includes parts that join the pieces together and make them work together seamlessly, but doesn't obscure each included project. This allows you to take advantage of all existing documentation, articles, mailing lists and other resources that have built up in the communities for each project.

Comment 1 Elliot Lee 2006-01-25 00:29:00 UTC
Hey,

Sorry I can't review this package, but just want to thank you for starting to
package it for Fedora - we're looking into using this to speed up Fedora
infrastructure development.

Comment 2 John Mahowald 2006-02-17 15:25:54 UTC
Keeps failing with:

Reading http://www.turbogears.org/download/index.html
error: Download error: (-3, 'Temporary failure in name resolution')
error: Bad exit status from /var/tmp/rpm-tmp.31584 (%install)


Even if the Internet should be working here, I don't think a web site should
have to be up for package building to continue. Web site is referenced in the
setup.cfg file.

Comment 3 Ignacio Vazquez-Abrams 2006-02-18 09:59:50 UTC
I've updated the package a bit. See if that error still happens.

Comment 4 John Mahowald 2006-02-19 05:36:04 UTC
Builds now.

Not running without python-setuptools, another Requires perhaps. Otherwise I get
on FC4:

$ tg-admin
Traceback (most recent call last):
  File "/usr/bin/tg-admin", line 5, in ?
    from pkg_resources import load_entry_point
ImportError: No module named pkg_resources

rpmlint has a bunch of empty file and permission warnings that can be ignored:

rpmlint of TurboGears-0.8a5-1.fc4.noarch.rpm:E: TurboGears zero-length
/usr/lib/python2.4/site-packages/turbogears/quickstart/projectname/static/javascript/empty
E: TurboGears zero-length
/usr/lib/python2.4/site-packages/TurboGears-0.8a5-py2.4.egg-info/not-zip-safe
E: TurboGears zero-length
/usr/lib/python2.4/site-packages/turbogears/quickstart/projectname/static/css/empty
E: TurboGears zero-length
/usr/lib/python2.4/site-packages/turbogears/quickstart/projectname/static/images/empty
E: TurboGears non-executable-script
/usr/lib/python2.4/site-packages/turbogears/quickstart/project-start.py.source 0644
E: TurboGears zero-length
/usr/lib/python2.4/site-packages/turbogears/quickstart/projectname/sqlobject-history/empty

- package meets naming guidelines
- package meets packaging guidelines
- license (MIT) OK, text in %doc, matches source
- spec file legible, in am. english
- source matches upstream
- package compiles on FC4 i386
- no missing BR (however still needs python-setuptools to run tg-admin)
- no unnecessary BR
- no locales
- not relocatable
- owns all directories that it creates
- no duplicate files
- permissions ok
- %clean ok
- macro use consistent
- code, not content
- no need for -docs
- nothing in %doc affects runtime
- no need for .desktop file

Can create a project and see the test page.

Only remaining blocker is the setuptools requirement.

Comment 5 Ignacio Vazquez-Abrams 2006-02-19 09:46:53 UTC
Updated.

Comment 6 John Mahowald 2006-02-19 22:33:17 UTC
APPROVED

Comment 7 Ignacio Vazquez-Abrams 2006-03-01 01:19:01 UTC
Built on FC4 and devel.


Note You need to log in before you can comment on or make changes to this bug.